LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
04670Bug reports[All Projects] Survey designpublic2010-10-12 17:082010-10-19 21:12
Reporterjooghe 
Assigned ToDenisChenu 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version1.90+ 
Target VersionFixed in Version1.90+ 
Summary04670: array numbers question type - quick add X-scale resets Y-scale
DescriptionI found some strange behavior for question type Array(numbers) and Array(Texts).

When I edit an existing question of this type which already has questions and answers things can go wrong.
When I use "Quick add" and "replace" to enter new question answers, the subquestions are reset.

This behavior was entered in thread http://www.limesurvey.org/en/support/forums/1-installation-a-update-issues/50412-array-numbers-quick-add-x-scale-resets-y-scale#50412 [^] .
Other users also reported similar problems.
Steps To ReproduceCreate a question of type - Array(numbers)
Add following values as subquestion and answers:
"question 1" and a "question 2" on the Y-scale
"Answer1", "Answer 2" and "Answer 3" on the X-scale

Save the question.
Check the values in the preview window.

Now go back in the question and edit the scales.
Use "Quick Add" to create new answer options "new answer 1 and "new answer 2" and use "replace" to commit the values,

Now the questions on the Y-scale are reset to the initial default single question "Some example subquestion".
I will donate to the project if issue is resolved within 48 hrs
LimeSurvey build number OR git commit ID9118
BrowserFireFox
Database & DB-VersionMysql
Operating System (Server)Linux
Webserver software & versionApache
PHP Version5.1.6
Attached Files

- Relationships

-  Notes
User avatar (13183)
DenisChenu (developer)
2010-10-14 16:04

Fixed in 9241
User avatar (13273)
c_schmitz (administrator)
2010-10-19 21:12

Released in 1.90 plus release.

- Issue History
Date Modified Username Field Change
2010-10-12 17:08 jooghe New Issue
2010-10-13 16:24 c_schmitz Assigned To => c_schmitz
2010-10-13 16:24 c_schmitz Status new => assigned
2010-10-13 17:09 c_schmitz Assigned To c_schmitz => DenisChenu
2010-10-14 16:04 DenisChenu Note Added: 13183
2010-10-14 16:05 DenisChenu Status assigned => resolved
2010-10-14 16:05 DenisChenu Fixed in Version => 1.90+
2010-10-14 16:05 DenisChenu Resolution open => fixed
2010-10-19 21:12 c_schmitz Note Added: 13273
2010-10-19 21:12 c_schmitz Status resolved => closed
2010-10-25 00:17 c_schmitz Category Survey Design => Survey design


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker